| GL Studio C++ Runtime API

Public Member Functions | Public Attributes | List of all members
LocationEvent Class Reference

`#include <events.h>`

Inheritance diagram for LocationEvent:

## Public Member Functions
| LocationEvent ()
| LocationEvent (const LocationEvent &source)
LocationEvent | operator= (const LocationEvent &source)
Public Member Functions inherited from DisplayEvent
| DisplayEvent ()
| DisplayEvent (const DisplayEvent &source)
virtual | ~DisplayEvent ()

## Public Attributes
Vector | winLoc
Vector | lCoords
Vector | oCoords
float & | x
float & | y
float & | z
float & | lx
float & | ly
float & | lz
float & | ox
float & | oy
float & | oz
Public Attributes inherited from DisplayEvent
unsigned short | eventType
unsigned short | eventSubtype

## Detailed Description

An event with location fields

## Constructor & Destructor Documentation

## ◆ LocationEvent() [1/2]

LocationEvent | ( |  | ) |
| inline

Because of the use of the references, all automatically generated methods must be defined to allow for copying. Default constructor

## ◆ LocationEvent() [2/2]

LocationEvent | ( | const LocationEvent & | source | ) |
| inline

Copy Constructor

Parameters

  source | The event to copy from.

## Member Function Documentation

## ◆ operator=()

LocationEvent operator= | ( | const LocationEvent & | source | ) |
| inline

Assignment operator

Parameters

  source | The event to copy from.

Returns
  The resulting event (this).

## Member Data Documentation

## ◆ lCoords

Vector lCoords

x,y,z of event in logical design coordinates

## ◆ lx

float& lx

Reference to lCoords.x

## ◆ ly

float& ly

Reference to lCoords.y

## ◆ lz

float& lz

Reference to lCoords.z

## ◆ oCoords

Vector oCoords

x,y,z of event in object DCS coordinates

## ◆ ox

float& ox

Reference to oCoords.x

## ◆ oy

float& oy

Reference to oCoords.y

## ◆ oz

float& oz

Reference to oCoords.z

## ◆ winLoc

Vector winLoc

Location of the event in window coordinates x and y window coordinates in pixels. z is from 0.0 -> 1.0 and represents the depth. z == 0 is at the near cliping plane. z == 0.5 represents half way between near and far cliping planes.

## ◆ x

float& x

Reference to winLoc.x

## ◆ y

float& y

Reference to winLoc.y

## ◆ z

float& z

Reference to winLoc.z

The documentation for this class was generated from the following file:

- events.h